%global momorel 3
Name: last-exit
Summary: Last.fm player
Version: 4
Release: %{momorel}m%{?dist}
License: GPL and LGPL
Group: Applications/Multimedia
Source: http://folks.o-hand.com/iain/%{name}/%{name}-%{version}.tar.bz2
Source1: tag-new-48.png
Source2: show-info-48.png
Patch0: last-exit-4-icon.patch
URL: http://www.o-hand.com/~iain/last-exit/
BuildRoot:   %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libtool, pkgconfig, GConf-devel, intltool, glib-devel
BuildPrereq: GConf-devel >= 2.14.0
BuildPrereq: gtk+-devel >= 2.10.6
BuildPrereq: gstreamer010-devel >= 0.10.11
BuildPrereq: gst-plugins-base-devel >= 0.10.11
BuildPrereq: dbus-devel >= 0.92
BuildPrereq: dbus-glib-devel >= 0.71
BuildPrereq: gtk-sharp-devel >= 2.10.0
BuildPrereq: gnome-sharp-devel >= 2.16.0
BuildPrereq: mono-core >= 1.1.17.2
Requires: mono-core

%description
Last.fm player for GNOME

%prep
%setup -q
%patch0 -p1 -b .icons

pushd data/icons
cp %{SOURCE1} %{SOURCE2} .
mv show-info-48.svg show-info.svg
mv tag-new-48.svg tag-new.svg
popd


%build
autoreconf -vfi
%configure --disable-schemas-install
# for dbus-sharp (do not use NUMJOBS)
make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    %{_sysconfdir}/gconf/schemas/last-exit.schemas \
    %{_sysconfdir}/gconf/schemas/lastfm.schemas; do
    gconftool-2 --makefile-install-rule $i > /dev/null
done
gtk-update-icon-cache --quiet /usr/share/icons/hicolor


%files
%defattr (-, root, root)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/last-exit.schemas
%{_sysconfdir}/gconf/schemas/lastfm.schemas
%{_bindir}/last-exit
%{_libdir}/%{name}
%{_datadir}/applications/last-exit.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/actions/*.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/hicolor/*/actions/*.svg

%changelog
* Sat Jan 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-3m)
- fix icons

* Thu Jan 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-2m)
- %%make -> make

* Thu Jan 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4-1m)
- update to 4

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3-1m)
- update to 3

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-3m)
- rebuild against dbus 0.92

* Sun Aug 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-2m)
- rebuild against mono-core

* Fri Jul 28 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- update to 2.0

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-3m)
- change license (GPL and LGPL)
- NoSource -> Source

* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-2m)
- add icon for menu

* Mon Jul 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0-1m)
- initial build
